Autor Tópico: Ubuntu 9.10 para 10.04 e PHP 5.3 para PHP 5.2  (Lida 3826 vezes)

Marco Sabo

  • Iniciante
  • **
  • Mensagens: 76
Ubuntu 9.10 para 10.04 e PHP 5.3 para PHP 5.2
« Online: Maio 10, 2010, 12:24:44 am »
Quem fizer a atualização do Ubuntu 9.10 para a recente 10.04 - que usa o php5.3, verá que o Zend não funciona mais.
Enquanto a Zend não providenciar o novo arquivo do Zend-Optimizer, temos que trabalhar com o php5.2
Esta situação já passou nosso amigo Regismatos em http://www.netmake.com.br/forum/index.php?topic=1873.0
Para isto, temos que voltar o php5.2
Em um terminal, como sudo
1º Faremos uma alteração no sources.list
sed  s/lucid/karmic/g  /etc/apt/sources.list | sudo tee /etc/apt/sources.list.d/karmic.list
2º Criamos um novo arquivo
$gedit /etc/apt/preferences.d/php
Copie e cole o texto abaixo (sem aspas):
"Package: php5 php5-cli php5-curl php5-gd php5-mysql php5-pgsql php5-common php5-mcrypt php5-cgi libapache2-mod-php5
Pin: release a=karmic
Pin-Priority:991"
3º Rode:
apt-get update
apt-get upgrade
Quando aparecer uma tela de quê fazer com o arquivo php.ini, eu escolhi manter a do mantenedor do sistema, depois fui e alterei as seguintes partes:
na linha 270:
memory_limit = 16mb para:
memory_limit = 256mb
e na linha 615 descomentei:
extension=msql.so
e no fim do arquivo acrescente:
[Zend]
zend_extension=/usr/local/lib/Zend/ZendOptimizer.so
Este caminho é conforme o que está instalado na tua máquina o Zend.
4º Reinicie o Apache
/etc/init.d/apache stop
/etc/init.d/apache start

Créditos à Samuel Ramon  em  http://samuel.ramon.blog.br/ubuntu-10-04-lucid-lynx-com-php-5-2-10-karmic-koala/    -------  não deixe de ler.

Marco Sabo
« Última modificação: Maio 12, 2010, 07:57:02 am por Marco Sabo »

Erikson Flávio

  • Iniciante
  • **
  • Mensagens: 71
    • Email
Re:Ubuntu 9.10 para 10.04 e PHP 5.3 para PHP 5.2
« Responder #1 Online: Fevereiro 02, 2013, 12:00:04 am »
Caro colegas,

Para o PHP 5.3 deve ser utilizado o Zend Guard Loader ao invés do Zend Optimizer, segundo a própia Zend. Fiz a instalação assim e funcionou perfeito. Veja tutorial no tópico http://www.netmake.com.br/forum/index.php/topic,6221.0.html

Abraço a todos!
Desenvolvedor PHP/Java/Oracle/MySQL - Veterano
ScriptCase - Intermediário

pessanha

  • Expert
  • *****
  • Mensagens: 643
    • Email
Re:Ubuntu 9.10 para 10.04 e PHP 5.3 para PHP 5.2
« Responder #2 Online: Fevereiro 02, 2013, 08:14:16 pm »
isto seria da mesma forma para o windows 8 ????

A versao 6, usa php 5.3 !?